Skip to main content
POST
/
api
/
users
Create a user
curl --request POST \
  --url https://clarus-api.com/api/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "users",
    "attributes": {
      "email": "[email protected]",
      "role_id": 123,
      "name": "<string>",
      "is_active": true,
      "language": "<string>",
      "timezone": "<string>",
      "external_system_reference1": "<string>",
      "external_system_reference2": "<string>",
      "external_system_reference3": "<string>",
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>"
    }
  }
}
'
{
  "data": {
    "id": 123,
    "type": "users",
    "attributes": {
      "email": "[email protected]",
      "role_id": 123,
      "name": "<string>",
      "is_active": true,
      "language": "<string>",
      "timezone": "<string>",
      "external_system_reference1": "<string>",
      "external_system_reference2": "<string>",
      "external_system_reference3": "<string>",
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>"
    }
  }
}

Request Structure

{
  "data": {
    "type": "users",
    "attributes": {
      "email": "[email protected]",
      "name": "John Smith",
      "role_id": 5,
      "is_active": true
    }
  }
}

Key Fields

FieldRequiredDescription
emailYesUnique email address for login
nameYesUser display name
role_idNoRole ID for permissions
is_activeNoWhether user can log in (default: true)

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

User created successfully

data
object